%global commit 544f69c3e8cd744db0b8f20aade475159fef1d5e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

# Testsuite is kinda broken, possibly
# https://github.com/Nitrokey/libnitrokey/issues/71
%bcond_with check

Name:           libnitrokey
Version:        3.0
Release:        0.1.20171007git.%{shortcommit}%{?dist}
Summary:        Communicate with Nitrokey stick devices in a clean and easy manner

License:        LGPLv3+
URL:            https://github.com/Nitrokey/libnitrokey
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake >= 3.1
BuildRequires:  gcc-c++
BuildRequires:  hidapi-devel
%if %{with check}
BuildRequires:  catch-devel
%endif

%description
Libnitrokey is a project to communicate with Nitrokey Pro and Storage devices
in a clean and easy manner.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
This package contains development libraries and header files are needed
to develop using libnitrokey.

%prep
%autosetup -n %{name}-%{commit} -p1
# Remove inttypes.h
rm -vrf include/inttypes.h
sed -i -e "/inttypes.h/d" CMakeLists.txt
# Remove catch
rm -vrf unittest/Catch
sed -i -e "/#include/s|catch\.hpp|catch/catch.hpp|" unittest/*.cpp unittest/*.cc

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
  %cmake \
    -DLIBNITROKEY_STATIC=FALSE \
    -DCOMPILE_TESTS=%{?with_check:TRUE}%{!?with_check:FALSE} \
    ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%if %{with check}
%check
pushd %{_target_platform}
  ctest -VV
popd
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md
%{_libdir}/libnitrokey.so.*
%{_libdir}/libnitrokey-log.so.*

%files devel
%{_libdir}/libnitrokey.so
%{_libdir}/libnitrokey-log.so
%{_includedir}/libnitrokey/

%changelog
* Sat Oct 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0-0.1.20171007git.544f69c
- Initial package
